Name:          fdk-aac
Version:       2.0.3
Release:       1mamba
Summary:       A standalone library of the Fraunhofer FDK AAC code from Android
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://sourceforge.net/projects/opencore-amr/
Source:        https://github.com/mstorsjo/fdk-aac.git/v%{version}/fdk-aac-%{version}.tar.bz2
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
A standalone library of the Fraunhofer FDK AAC code from Android.

%package -n lib%{name}
Group:         System/Libraries
Summary:       A standalone library of the Fraunhofer FDK AAC code from Android

%description -n lib%{name}
A standalone library of the Fraunhofer FDK AAC code from Android.
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libfdk-aac.so.*

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/fdk-aac
%{_includedir}/fdk-aac/*.h
%{_libdir}/libfdk-aac.so
%{_libdir}/pkgconfig/fdk-aac.pc
%dir %{_libdir}/cmake/fdk-aac
%{_libdir}/cmake/fdk-aac/fdk-aac-*.cmake
%doc ChangeLog


%changelog
* Thu Dec 21 2023 Automatic Build System <autodist@mambasoft.it> 2.0.3-1mamba
- automatic version update by autodist

* Sun Feb 13 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.2-1mamba
- package created using the webbuild interface
